package com.liquidnet.service.sweet.utils;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.sweet.dto.SweetManualAppletDto;
import com.liquidnet.service.sweet.dto.SweetManualAppletMDSKDto;
import com.liquidnet.service.sweet.dto.SweetManualArtistListDto;
import com.liquidnet.service.sweet.dto.SweetManualArtistListMDSKDto;
import com.liquidnet.service.sweet.entity.SweetManualShop;
import com.liquidnet.service.sweet.entity.SweetManualShopMdsk;
import com.liquidnet.service.sweet.vo.SweetCItyVoteStatVo;

import java.util.ArrayList;
import java.util.List;

public class ObjectUtil {
    private static final ArrayList<SweetManualAppletDto> sweetManualAppletDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListDto> sweetManualArtistListDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShop> sweetManualShopList = new ArrayList<>();

    private static final ArrayList<SweetManualAppletMDSKDto> sweetManualAppletMDSKDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualArtistListMDSKDto> sweetManualArtistListMDSKDtoList = new ArrayList<>();
    private static final ArrayList<SweetManualShopMdsk> sweetManualShopMDSKList = new ArrayList<>();
    private static final ArrayList<SweetCItyVoteStatVo> sweetCItyVoteStatVoList = new ArrayList<>();

    public static ArrayList<SweetManualAppletDto> getSweetManualAppletDtoList() {
        return (ArrayList<SweetManualAppletDto>)sweetManualAppletDtoList.clone();
    }

    public static ArrayList<SweetManualArtistListDto> getSweetManualArtistListDtoList() {
        return (ArrayList<SweetManualArtistListDto>)sweetManualArtistListDtoList.clone();
    }

    public static ArrayList<SweetManualShop> getSweetManualShopList() {
        return (ArrayList<SweetManualShop>)sweetManualShopList.clone();
    }


    public static ArrayList<SweetManualAppletMDSKDto> getSweetManualAppletMDSKDtoList() {
        return (ArrayList<SweetManualAppletMDSKDto>)sweetManualAppletMDSKDtoList.clone();
    }

    public static ArrayList<SweetManualArtistListMDSKDto> getSweetManualArtistListMDSKDtoList() {
        return (ArrayList<SweetManualArtistListMDSKDto>)sweetManualArtistListMDSKDtoList.clone();
    }

    public static ArrayList<SweetManualShopMdsk> getSweetManualShopMdskList() {
        return (ArrayList<SweetManualShopMdsk>)sweetManualShopMDSKList.clone();
    }

    public static ArrayList<SweetCItyVoteStatVo> getSweetCItyVoteStatVoList() {
        return (ArrayList<SweetCItyVoteStatVo>)sweetCItyVoteStatVoList.clone();
    }
}
